API ReferenceStorefront
List discount codes
GET /rest/v1/storefront/discounts
Required scope: products:read.
Authorization
apiKey AuthorizationBearer <token>
Authorization: Bearer nbl_live_... (or nbl_test_... for test mode). Test-mode writes are validated and simulated but never persisted and never touch channels; simulated results are marked simulated.
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/storefront/discounts"{ "object": "list", "has_more": true, "next_cursor": "string", "data": [ { "id": "disc_66f0a1", "object": "discount", "code": "SUMMER10", "type": "percentage", "value": 0, "min_subtotal": 0, "usage_limit": 0, "used": 0, "ends_at": "2019-08-24T14:15:22Z", "active": true, "created_at": "2019-08-24T14:15:22Z", "simulated": true } ]}Last updated on October 18, 2026
Need help?
Email us and a human replies, usually within one business day.